[
  {
    "chunk_id": 25,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'XYLineChartReport'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"CountryGroup\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"225\">\n\t\t\t\t<element kind=\"line\" uuid=\"43fd21c3-7b01-415b-8ffe-7ed796e28278\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"b466e1ae-c3ac-4dfa-be90-a09ffef47510\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"95ab798b-b566-4d11-b2d4-10d379cbee5f\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" pattern=\"EEE, MMM d, yyyy\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"xyLine\" uuid=\"b83113f3-0bc1-4c40-9c7d-b942cdd45a34\" positionType=\"Float\" x=\"0\" y=\"25\" width=\"270\" height=\"175\" evaluationTime=\"Group\" evaluationGroup=\"CountryGroup\">\n\t\t\t\t\t<dataset kind=\"xy\" resetGroup=\"CountryGroup\" resetType=\"Group\">\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<xvalueExpression>$F{OrderID}</xvalueExpression>\n\t\t\t\t\t\t\t<yvalueExpression>$F{Freight} * 2d</yvalueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Normal Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<xvalueExpression>$F{OrderID}</xvalueExpression>\n\t\t\t\t\t\t\t<yvalueExpression>$F{Freight}</yvalueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Half Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<xvalueExpression>$F{OrderID}</xvalueExpression>\n\t\t\t\t\t\t\t<yvalueExpression>$F{Freight} / 2d</yvalueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showShapes=\"false\" showLines=\"true\" />\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"f2f4178a-ab47-4da2-9cb6-a4831415d881\" x=\"0\" y=\"0\" width=\"270\" height=\"11\" forecolor=\"#C0C0C0\" backcolor=\"#C0C0C0\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"fc36b3b5-b543-4fd7-8e73-32e18eaef4f2\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"f13abe34-79a7-4bf6-8047-000f5cfcb748\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"57ae1d6f-8ce6-4219-a7e4-f11b349f0dc6\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"140\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"ea26bb4b-8916-4bbb-95e7-8dd48f8fa34b\" mode=\"Opaque\" x=\"210\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'XYLineChartReport' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  },
  {
    "chunk_id": 25,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'XYLineChartReport'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"CountryGroup\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"225\">\n\t\t\t\t<element kind=\"line\" uuid=\"43fd21c3-7b01-415b-8ffe-7ed796e28278\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"b466e1ae-c3ac-4dfa-be90-a09ffef47510\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"95ab798b-b566-4d11-b2d4-10d379cbee5f\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" pattern=\"EEE, MMM d, yyyy\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"xyLine\" uuid=\"b83113f3-0bc1-4c40-9c7d-b942cdd45a34\" positionType=\"Float\" x=\"0\" y=\"25\" width=\"270\" height=\"175\" evaluationTime=\"Group\" evaluationGroup=\"CountryGroup\">\n\t\t\t\t\t<dataset kind=\"xy\" resetGroup=\"CountryGroup\" resetType=\"Group\">\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<xvalueExpression>$F{OrderID}</xvalueExpression>\n\t\t\t\t\t\t\t<yvalueExpression>$F{Freight} * 2d</yvalueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Normal Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<xvalueExpression>$F{OrderID}</xvalueExpression>\n\t\t\t\t\t\t\t<yvalueExpression>$F{Freight}</yvalueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Half Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<xvalueExpression>$F{OrderID}</xvalueExpression>\n\t\t\t\t\t\t\t<yvalueExpression>$F{Freight} / 2d</yvalueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showShapes=\"false\" showLines=\"true\" />\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"f2f4178a-ab47-4da2-9cb6-a4831415d881\" x=\"0\" y=\"0\" width=\"270\" height=\"11\" forecolor=\"#C0C0C0\" backcolor=\"#C0C0C0\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"fc36b3b5-b543-4fd7-8e73-32e18eaef4f2\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"f13abe34-79a7-4bf6-8047-000f5cfcb748\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"57ae1d6f-8ce6-4219-a7e4-f11b349f0dc6\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"140\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"ea26bb4b-8916-4bbb-95e7-8dd48f8fa34b\" mode=\"Opaque\" x=\"210\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'XYLineChartReport' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  }
]